: Class ContinueEvent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.protocol.http
Class ContinueEvent

    java.lang.Object
      |
      +--org.w3c.www.protocol.http.RequestEvent
            |
            +--org.w3c.www.protocol.http.ContinueEvent

public class ContinueEvent
extends RequestEvent

The continue event notifies the observer of receipt of a continue packet. Two phases method requires the server to emit an HTTP `CONTINUE` status code before going into the second phase. This event is generated by the `HttpManager` when such an event is received.

Field Summary
`Reply` | `packet` The HTTP `CONTINUE` packet.

Fields inherited from class org.w3c.www.protocol.http.RequestEvent
`code, EVT_CLOSED, EVT_CONNECTED, EVT_CONTINUE, EVT_EMITED, EVT_QUEUED, EVT_REPLIED, EVT_UNREACHABLE, request, server`

Constructor Summary
`ContinueEvent(HttpServer s, Request request)` Create a fake continue event.
`ContinueEvent(HttpServer s, Request request, Reply packet)` Create a continue event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### packet

    public Reply packet

  The HTTP `CONTINUE` packet.

Constructor Detail

### ContinueEvent

    public ContinueEvent(HttpServer s,
                         Request request,
                         Reply packet)

  Create a continue event.
  Parameters:
    `s` - The source of the event.
    `request` - The request being processed.
    `packet` - The 100 class reply.

### ContinueEvent

    public ContinueEvent(HttpServer s,
                         Request request)

  Create a fake continue event. This is usefull when upgrading HTTP/1.0 flow to HTTP/1.1.
  Parameters:
    `s` - The source of the event.
    `request` - The request being processed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD